### Method

# FwupdPlugin Firmware set_id

#### Declaration [src]

    void
    fu_firmware_set_id (
      FuFirmware* self,
      const gchar* id
    )

#### Description

No description available.

Available since: | 1.6.0

#### Parameters

`id` | `const gchar*`
| Image ID, e.g. `config`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.